Main Page Class Hierarchy Compound List File List Compound Members File Members Related Pages Examples

# SDLButtonGroup Class Reference

A group of SDLButtons. More...

`#include <sdlbuttongroup.h>`

Inheritance diagram for SDLButtonGroup

[legend]
Collaboration diagram for SDLButtonGroup:

[legend]
List of all members.

## Public Methods
| SDLButtonGroup (SDLWidget* parent, int id, SDL_Rect& r, int x, int y, int d=1)
| ~SDLButtonGroup ()
void | Activate (int x, int y, int d=0)
void | Deactivate (int x, int y, int d=0)
void | Show ()
void | SwitchTo (int d)
void | BlendTo (int d)
void | SetText (int x, int y, int d, char* text)
SDLButton* | GetButton (int x, int y, int d)
virtual bool | OnButton (int x, int y, int d, SDLWidget* widget)
## Protected Methods
int | GetIndex (int x, int y, int d)
bool | eventButtonClick (int id, SDLWidget* widget)
| Event Handler. More...

## Detailed Description

A group of SDLButtons.

Author(s):
  Alexander Pipelka

An array of SDLButtons with functions to tie them together in various ways. FIXME: what is this used for?

Definition at line 52 of file sdlbuttongroup.h.

## Constructor & Destructor Documentation

SDLButtonGroup::SDLButtonGroup ( | SDLWidget * parent,
| int id,
| SDL_Rect & r,
| int x,
| int y,
| int d = 1 )

SDLButtonGroup::~SDLButtonGroup ( | )

## Member Function Documentation

void SDLButtonGroup::Activate ( | int x,
| int y,
| int d = 0 )

void SDLButtonGroup::BlendTo ( | int d )

void SDLButtonGroup::Deactivate ( | int x,
| int y,
| int d = 0 )

SDLButton* SDLButtonGroup::GetButton ( | int x,
| int y,
| int d )

int SDLButtonGroup::GetIndex ( | int x,
| int y,
| int d )`[protected]`

virtual bool SDLButtonGroup::OnButton ( | int x,
| int y,
| int d,
| SDLWidget * widget )`[virtual]`

void SDLButtonGroup::SetText ( | int x,
| int y,
| int d,
| char * text )

void SDLButtonGroup::Show ( | )

void SDLButtonGroup::SwitchTo ( | int d )

bool SDLButtonGroup::eventButtonClick ( | int id,
| SDLWidget * widget )`[protected, virtual]`

| Event Handler. Reimplemented from SDLMessageObject.

The documentation for this class was generated from the following file:

- sdlbuttongroup.h